package com.ifish.entity;

import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.ifish.serializer.CustomDateSerializer;

/** 
 * @ClassName: tbl_push_list
 * @date 2015年7月2日 下午16:40:00 
 *  
 */
public class PushList implements Serializable{
	
	private static final long serialVersionUID = -6718129027121198763L;
	//ID
	private Integer pushId;
	//用户ID
	private Integer userId;
	//设备ID
	private Integer deviceId;
	//看护报告ID
	private Integer reportId;
	//推送手机类型
	private String phoneType;
	//显示名称
	private String showName;
	//推送消息类型
	private String pushType;
	//推送标题
	private String pushTitle;
	//推送内容
	private String pushContext;
	//链接
	private String pushLink;
	//极光推送状态
	private String jpushStatus;
	//云信推送状态
	private String neteaseStatus;
	//创建时间
	private Date createTime;
	
	public PushList() {}
	
	public PushList(Integer userId, Integer deviceId, String showName,String pushType,String neteaseStatus,String pushTitle,String pushContext) {
		this.userId = userId;
		this.deviceId = deviceId;
		this.showName = showName;
		this.pushType = pushType;
		this.neteaseStatus = neteaseStatus;
		this.pushTitle = pushTitle;
		this.pushContext = pushContext;
		this.createTime = new Date();
	}

	public Integer getPushId() {
		return pushId;
	}
	public void setPushId(Integer pushId) {
		this.pushId = pushId;
	}
	public Integer getUserId() {
		return userId;
	}
	public void setUserId(Integer userId) {
		this.userId = userId;
	}
	public Integer getDeviceId() {
		return deviceId;
	}
	public void setDeviceId(Integer deviceId) {
		this.deviceId = deviceId;
	}
	public String getShowName() {
		return showName;
	}
	public void setShowName(String showName) {
		this.showName = showName;
	}
	public String getPushType() {
		return pushType;
	}
	public void setPushType(String pushType) {
		this.pushType = pushType;
	}
	public String getPushTitle() {
		return pushTitle;
	}
	public void setPushTitle(String pushTitle) {
		this.pushTitle = pushTitle;
	}
	public String getPushContext() {
		return pushContext;
	}
	public void setPushContext(String pushContext) {
		this.pushContext = pushContext;
	}
	@JsonSerialize(using = CustomDateSerializer.class)
	public Date getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	public String getPhoneType() {
		return phoneType;
	}
	public void setPhoneType(String phoneType) {
		this.phoneType = phoneType;
	}
	public String getPushLink() {
		return pushLink;
	}
	public void setPushLink(String pushLink) {
		this.pushLink = pushLink;
	}
	public Integer getReportId() {
		return reportId;
	}
	public void setReportId(Integer reportId) {
		this.reportId = reportId;
	}
	public String getJpushStatus() {
		return jpushStatus;
	}
	public void setJpushStatus(String jpushStatus) {
		this.jpushStatus = jpushStatus;
	}
	public String getNeteaseStatus() {
		return neteaseStatus;
	}
	public void setNeteaseStatus(String neteaseStatus) {
		this.neteaseStatus = neteaseStatus;
	}
	
}
